my.widgets.Richtext.override({
    constructor: function(config) {
        config = config || {};
        Ext.applyIf(config, {minHeight:3});
        this.callOverridden([config]);
    }
});

/**
 * @class my.widget.designer.Richtext
 * @extends xcp.designer.Component
 * Design time base component, wrapper runtime component.
 * @constructor Creates a new design-time Richtext
 * @param {cmp} runtime component.
 */
Ext.define('my.widgets.designer.Richtext', {
	extend: 'xcp.designer.Component',
	constructor: function(cmp){
		my.widgets.designer.Richtext.superclass.constructor.call(this, cmp);
		
		this.propertyConfig = {
		"tabs": [{
				"name": "general",
				"sections": [{ 
						"name" : "basic",
						"properties": [{"name": "html"}]
					}]
			    },
                {
                    "name": my.Strings.widget.designer.Richtext.behaviorTabLabel,
                    "sections":[{
                        "name": "behavior",
                        "label": my.Strings.widget.designer.Richtext.behaviorSectionLabel,
                        "properties": [
                            {"name": "hidden", "editor": "com.emc.xcp.uitemplate.ui.property.section.special.expr.BooleanExpressionPropertyEditor"}
                        ]
                    }]
                }
            ]
		};
	},
	updateComponent: function(propertiesJSONObject) {
		//javaLog("xcp.widget.designer.Richtext", "updateComponent", "log");
		if(propertiesJSONObject.name === 'html') {
			this.cmp.update(Ext.util.Format.stripScripts(propertiesJSONObject.value));
		} 
	}
});

xcp.designer.ComponentMgr.registerType("my_rich_text",my.widgets.designer.Richtext);
